Debian Bug report logs - #271346
Parameterless "use IO" deprecated

version graph

Package: libhtml-clean-perl; Maintainer for libhtml-clean-perl is Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>; Source for libhtml-clean-perl is src:libhtml-clean-perl.

Reported by: Bas Zoetekouw <bas@debian.org>

Date: Sun, 12 Sep 2004 18:18:02 UTC

Severity: normal

Found in version 0.8-2

Fixed in version libhtml-clean-perl/0.8-4

Done: Gunnar Wolf <gwolf@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Stephen Zander <gibreel@debian.org>:
Bug#271346; Package libhtml-clean-perl. Full text and rfc822 format available.

Acknowledgement sent to Bas Zoetekouw <bas@debian.org>:
New Bug report received and forwarded. Copy sent to Stephen Zander <gibreel@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Bas Zoetekouw <bas@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Parameterless "use IO" deprecated
Date: Sun, 12 Sep 2004 20:00:04 +0200
Package: libhtml-clean-perl
Version: 0.8-2
Severity: normal

When running bins (which uses HTML::Clean), I get this warning
message:

Parameterless "use IO" deprecated at /usr/share/perl5/HTML/Clean.pm line 4


-- System Information:
Debian Release: 3.1
  APT prefers unstable
  APT policy: (990, 'unstable'), (1, 'experimental')
Architecture: i386 (i686)
Kernel: Linux 2.6.7
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8

Versions of packages libhtml-clean-perl depends on:
ii  perl                          5.8.4-2    Larry Wall's Practical Extraction 

-- no debconf information



Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Zander <gibreel@debian.org>:
Bug#271346; Package libhtml-clean-perl. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to Stephen Zander <gibreel@debian.org>. Full text and rfc822 format available.

Message #10 received at 271346@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Paul Lindner <paul.lindner@itu.int>, 271346@bugs.debian.org
Cc: debian-perl@lists.debian.org
Subject: HTML::Clean and IO
Date: Tue, 09 Nov 2004 18:30:14 -0600
Hi,

I am about to adopt the Debian HTML::Clean package. I noticed there is
a bug report [1] mentioning that every time HTML::Clean is called,
there is a warning about 'Parameterless "use IO" deprecated at
/usr/share/perl5/HTML/Clean.pm line 4'. I am not yet familiar with
HTML::Clean's behavior, but anyway, I must get acquinted with it...

I commented out the 'use IO' line from your package, and it appears to
work fine. I found no mention of IO anywhere in your code. I fed it
some documents I have around here, and it works... But I am sure you
included it for a reason - Please confirm: Would there be a reason not
to remove the line?

Thank you very much,

[1] http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=271346

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)1451-2244 / 5554-9450
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF



Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Zander <gibreel@debian.org>:
Bug#271346; Package libhtml-clean-perl. Full text and rfc822 format available.

Acknowledgement sent to Kenneth Pronovici <pronovic@debian.org>:
Extra info received and forwarded to list. Copy sent to Stephen Zander <gibreel@debian.org>. Full text and rfc822 format available.

Message #15 received at 271346@bugs.debian.org (full text, mbox):

From: Kenneth Pronovici <pronovic@debian.org>
To: Gunnar Wolf <gwolf@gwolf.org>
Cc: Paul Lindner <paul.lindner@itu.int>, 271346@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: HTML::Clean and IO
Date: Tue, 9 Nov 2004 21:14:06 -0600
[Message part 1 (text/plain, inline)]
> I am about to adopt the Debian HTML::Clean package. I noticed there is
> a bug report [1] mentioning that every time HTML::Clean is called,
> there is a warning about 'Parameterless "use IO" deprecated at
> /usr/share/perl5/HTML/Clean.pm line 4'. I am not yet familiar with
> HTML::Clean's behavior, but anyway, I must get acquinted with it...
> 
> I commented out the 'use IO' line from your package, and it appears to
> work fine. I found no mention of IO anywhere in your code. I fed it
> some documents I have around here, and it works... But I am sure you
> included it for a reason - Please confirm: Would there be a reason not
> to remove the line?

[Not sure if you were expecting a reply from debian-perl or not...]

This warning is due to a change in newer versions of Perl.  

Assuming that the statement is needed at all (?), the fix would be to
change the "use IO" line to something more explicit, like "use IO::File"
or "use IO::Scalar".  That will take care of the warning.

KEN

-- 
Kenneth J. Pronovici <pronovic@debian.org>
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Zander <gibreel@debian.org>:
Bug#271346; Package libhtml-clean-perl. Full text and rfc822 format available.

Acknowledgement sent to Gunnar Wolf <gwolf@gwolf.org>:
Extra info received and forwarded to list. Copy sent to Stephen Zander <gibreel@debian.org>. Full text and rfc822 format available.

Message #20 received at 271346@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@gwolf.org>
To: Paul Lindner <paul.lindner@itu.int>, 271346@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: HTML::Clean and IO
Date: Tue, 09 Nov 2004 23:30:33 -0600
Kenneth Pronovici dijo [Tue, Nov 09, 2004 at 09:14:06PM -0600]:
> [Not sure if you were expecting a reply from debian-perl or not...]
> 
> This warning is due to a change in newer versions of Perl.  
> 
> Assuming that the statement is needed at all (?), the fix would be to
> change the "use IO" line to something more explicit, like "use IO::File"
> or "use IO::Scalar".  That will take care of the warning.

Hi,

Yes, I forgot to mention the reason I was CC:ing you. Yes, from what I
found I got the same conclusion... The thing is, I didn't find a
single reference to IO::anything in the code. I could use each of the
IO modules, but that would be completely unnecessary.

I have the impression, and I hope Paul can confirm or deny it, that
this was carried over from earlier versions of this module, and it
might not be used anymore. As I said, I commented it out and tried the
module on some of my files, and it worked fine.

Now, the module has not been updated for quite some time, and there is
a posibility that Paul's address isn't valid anymore. Would any of you
Debian-perl guys object if I remove the 'use IO' line completely if I
get no reply in, say, one week?

Thank you,

-- 
Gunnar Wolf - gwolf@gwolf.org - (+52-55)1451-2244 / 5554-9450
PGP key 1024D/8BB527AF 2001-10-23
Fingerprint: 0C79 D2D1 2C4E 9CE4 5973  F800 D80E F35A 8BB5 27AF



Information forwarded to debian-bugs-dist@lists.debian.org, Stephen Zander <gibreel@debian.org>:
Bug#271346; Package libhtml-clean-perl. Full text and rfc822 format available.

Acknowledgement sent to Dominique Dumont <domi@komarr.grenoble.hp.com>:
Extra info received and forwarded to list. Copy sent to Stephen Zander <gibreel@debian.org>. Full text and rfc822 format available.

Message #25 received at 271346@bugs.debian.org (full text, mbox):

From: Dominique Dumont <domi@komarr.grenoble.hp.com>
To: Gunnar Wolf <gwolf@gwolf.org>
Cc: plindner@inuus.com, 271346@bugs.debian.org, debian-perl@lists.debian.org
Subject: Re: HTML::Clean and IO
Date: Wed, 10 Nov 2004 13:50:58 +0100
Gunnar Wolf <gwolf@gwolf.org> writes:

> I have the impression, and I hope Paul can confirm or deny it, that
> [use IO;] was carried over from earlier versions of this module, and
> it might not be used anymore. As I said, I commented it out and
> tried the module on some of my files, and it worked fine.

There's a good chance that HTML::Clean is also "orphaned" in the CPAN
world: The rt for HTML::Clean [1] shows 4 bug reports that were never
addressed. The oldest is 2 years old.

Paul, any comment ?

Cheers

[1] http://rt.cpan.org/NoAuth/Bugs.html?Dist=HTML-Clean

PS: I've cc'ed Paul using the address mentionned on CPAN, I hope this
one will reach him.

-- 
Dominique Dumont 
"Delivering successful solutions requires giving people what they
need, not what they want." Kurt Bittner



Reply sent to Gunnar Wolf <gwolf@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Bas Zoetekouw <bas@debian.org>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #30 received at 271346-close@bugs.debian.org (full text, mbox):

From: Gunnar Wolf <gwolf@debian.org>
To: 271346-close@bugs.debian.org
Subject: Bug#271346: fixed in libhtml-clean-perl 0.8-4
Date: Wed, 17 Nov 2004 15:47:18 -0500
Source: libhtml-clean-perl
Source-Version: 0.8-4

We believe that the bug you reported is fixed in the latest version of
libhtml-clean-perl, which is due to be installed in the Debian FTP archive:

libhtml-clean-perl_0.8-4.diff.gz
  to pool/main/libh/libhtml-clean-perl/libhtml-clean-perl_0.8-4.diff.gz
libhtml-clean-perl_0.8-4.dsc
  to pool/main/libh/libhtml-clean-perl/libhtml-clean-perl_0.8-4.dsc
libhtml-clean-perl_0.8-4_all.deb
  to pool/main/libh/libhtml-clean-perl/libhtml-clean-perl_0.8-4_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 271346@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gunnar Wolf <gwolf@debian.org> (supplier of updated libhtml-clean-perl package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 17 Nov 2004 14:32:28 -0600
Source: libhtml-clean-perl
Binary: libhtml-clean-perl
Architecture: source all
Version: 0.8-4
Distribution: unstable
Urgency: low
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Changed-By: Gunnar Wolf <gwolf@debian.org>
Description: 
 libhtml-clean-perl - Cleans up HTML code for web browsers, not humans
Closes: 271346
Changes: 
 libhtml-clean-perl (0.8-4) unstable; urgency=low
 .
   * Removed needless "use IO;" from lib/HTML/Clean.pm because it caused
     warnings every time it was loaded (Closes: #271346)
Files: 
 6bfc2f7ca496c10c9e903124657915ba 690 perl optional libhtml-clean-perl_0.8-4.dsc
 d633fead2104ecf4400d08ced18b36d4 1962 perl optional libhtml-clean-perl_0.8-4.diff.gz
 d88046fcdaaab553a0f60fd6c161a825 20462 perl optional libhtml-clean-perl_0.8-4_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.5 (GNU/Linux)

iD8DBQFBm7YR2A7zWou1J68RAh8bAJ9pk5AmBEVTZ8dyb0D2ofHb7fSTxgCeKVJ+
32DrPa5SccUSYM49yeBN3OA=
=8Asp
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 25 07:54:53 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.